NNTPGrab - Feature # 12: Add support for downloads counters

Status: In Progress Priority: Normal

Author: Alguno Category: NNTPGrab Core
Created: 05/22/2010 Assigned to: Alguno
Updated: 12/02/2011 Due date:

Subject: Add support for downloads counters

Description: A plugin needs to be created which can keep track of the usenet traffic.

With this information users can find out the amount of traffic for
each individual usenet server over a period of time

Associated revisions

11/21/2011 10:25 pm - Alguno

- Implemented the user-interface part for the download counter plugin in the Gtk frontend.
When the download counter plugin is loaded an additional menu item will show up in the Plugins menu.
When the user clicks on this menu item, the download counter user interface will be shown. Refs #12

- Changed the name of various objects in the Gtk user interface to be more unique and more usable by plugins

- Added a new API function to the gui_base library which can be used to load additional GtkBuilder .ui files
which contain the user interface belonging to plugins: nntpgrab_gui_base_append_plugin_ui

- Fixed a small memory leak in the Win32 version of the gui_base library

12/02/2011 12:01 am - Alguno

- Completed the implementation of the Download Counter plugin. Refs #12

- Completed the implementation of the GTK Download Counter plugin

- Added a new API function to the nntpgrab_utils library: nntpgrab_utils_get_readable_time_stamp

- Fixed some possible segfaults in the recently added JSON-RPC plugin functions

- Added a new API function which plugins can use to find out the directory where configuration files need to be stored

- A regression was introduced in the Gtk frontend in r1909 which caused the program shutdown to malfunction. Fixed

History

11/21/2011 06:20 pm - Alguno
- Status changed from New to In Progress
- % Done changed from 0 to 30

Work has started on this feature in r1909

12/02/2011 12:03 am - Alguno
- % Done changed from 30 to 70
The download counter plugin itself and its user interface for the GTK frontend are implemented now.

The user interface for the Qt frontend still needs to be implemented
